# Enable MCP Server

Source: https://coolify.io/docs/api/endpoints/system/enable-mcp

## POST /mcp/enable

Enable MCP Server

Enable the MCP server endpoint at /mcp (only with root permissions).

**Authentication:** Bearer token (`bearerAuth`)

### Responses

#### 200

MCP server enabled.

`application/json`: object

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| message | string | no |  |

#### 400

Invalid token.

`application/json`: object

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| message | string | no |  |

#### 401

Unauthenticated.

`application/json`: object

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| message | string | no |  |

#### 403

You are not allowed to enable the MCP server.

`application/json`: object

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| message | string | no |  |
